#include <stdio.h>

int main(){

	int n,i,j;

	scanf("%i",&n);

	if(n<=0){
		printf("-1\n");
		return 1;
	}

	for(i=0;i<n;i++){
		for(j=0;j<2*n-1;j++){
			if(j>=n-1-i && j<=n-1+i){
				if((j+i+n)%2)
					printf("*");
				else
					printf("A");
			} else
				printf(" ");
		}
		printf("\n");
	}

	return 0;
}
